Bug 76423 - gdb build, leaves documentation and other files out of the packages that are in the buildroot
Summary: gdb build, leaves documentation and other files out of the packages that are ...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdb (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Elena Zannoni
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-21 16:43 UTC by Mike A. Harris
Modified: 2015-01-08 00:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-02 15:29:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike A. Harris 2002-10-21 16:43:18 UTC
When gdb 5.2.1 finishes compiling in RHL 8.0, if you've got
the new _unpackaged_files_terminate_build feature of RPM enabled,
the package spews out a lot of errors of files not being
packaged properly.  This translates into a lot of documentation
being left out of the package, as well as other things, although
some of it is possibly harmless.  We should probably package up
some of these files IMHO, or else explicitly delete them in the
spec file.

RPM build errors:
    Installed (but unpackaged) file(s) found:
   /bfd.info
   /bfd.info-1
   /bfd.info-2
   /bfd.info-3
   /bfd.info-4
   /bfd.info-5
   /bfd.info-6
   /bfd.info-7
   /bfd.info-8
   /bfd.info-9
   /configure.info
   /configure.info-1
   /configure.info-2
   /configure.info-3
   /standards.info
   /usr/lib/libiberty.a
   /usr/lib/libmmalloc.a
   /usr/share/info/configure.info-1.gz
   /usr/share/info/configure.info-2.gz
   /usr/share/info/configure.info-3.gz
   /usr/share/info/configure.info.gz
   /usr/share/info/gdbint.info-1.gz
   /usr/share/info/gdbint.info-2.gz
   /usr/share/info/gdbint.info-3.gz
   /usr/share/info/gdbint.info-4.gz
   /usr/share/info/gdbint.info-5.gz
   /usr/share/info/gdbint.info-6.gz
   /usr/share/info/gdbint.info.gz
   /usr/share/info/history.info.gz
   /usr/share/info/libiberty.info-1.gz
   /usr/share/info/libiberty.info-2.gz
   /usr/share/info/libiberty.info-3.gz
   /usr/share/info/libiberty.info.gz
   /usr/share/info/readline.info.gz
   /usr/share/info/rluserman.info.gz
   /usr/share/locale/da/LC_MESSAGES/opcodes.mo
   /usr/share/locale/de/LC_MESSAGES/opcodes.mo
   /usr/share/locale/es/LC_MESSAGES/bfd.mo
   /usr/share/locale/es/LC_MESSAGES/opcodes.mo
   /usr/share/locale/fr/LC_MESSAGES/bfd.mo
   /usr/share/locale/fr/LC_MESSAGES/opcodes.mo
   /usr/share/locale/ja/LC_MESSAGES/bfd.mo
   /usr/share/locale/sv/LC_MESSAGES/bfd.mo
   /usr/share/locale/sv/LC_MESSAGES/opcodes.mo
   /usr/share/locale/tr/LC_MESSAGES/bfd.mo
   /usr/share/locale/tr/LC_MESSAGES/opcodes.mo


Note You need to log in before you can comment on or make changes to this bug.